> For the complete documentation index, see [llms.txt](https://docs.editran.onesait.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.editran.onesait.com/documentacion-editran/editran-connect-v3.3/api/v2/integration-of-apis/5.-files.md).

# 5. Files

API for querying and managing the files of the channels transfers in connect for third-party

## Get status of chunked file upload

> Get the status of the chunked file upload process to the corresponding channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"5. Files","description":"API for querying and managing the files of the channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ChunkedUploadResponse":{"type":"object","properties":{"filename":{"type":"string"},"chunks":{"type":"integer","format":"int32"},"uploadedChunks":{"type":"integer","format":"int32"},"uploadedChunkFiles":{"type":"array","items":{"type":"string"}}}}}},"paths":{"/integration/v2/channels/{channelCode}/files/uploads/{uploadId}":{"get":{"tags":["5. Files"],"summary":"Get status of chunked file upload","description":"Get the status of the chunked file upload process to the corresponding channel","operationId":"getStatusChunkedUpload","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}},{"name":"uploadId","in":"path","description":"Identifier of the chunked upload process","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChunkedUploadResponse"}}}},"400":{"description":"bad request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChunkedUploadResponse"}}}},"401":{"description":"unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChunkedUploadResponse"}}}},"403":{"description":"forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChunkedUploadResponse"}}}},"404":{"description":"not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChunkedUploadResponse"}}}},"500":{"description":"Internal server error"}}}}}}
```

## Send chunk of file

> Send a chunk of the file to be uploaded to the corresponding channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"5. Files","description":"API for querying and managing the files of the channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v2/channels/{channelCode}/files/uploads/{uploadId}":{"put":{"tags":["5. Files"],"summary":"Send chunk of file","description":"Send a chunk of the file to be uploaded to the corresponding channel","operationId":"sendChunkedUpload","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}},{"name":"uploadId","in":"path","description":"Identifier of the chunked upload process","required":true,"schema":{"type":"string"}},{"name":"chunkNumber","in":"query","description":"Number of the chunk to upload (starting in 1)","required":true,"schema":{"type":"integer","default":1,"minimum":1}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"chunkFile":{"type":"string","format":"binary","description":"Chunk of the file to upload (máx. 100 MB)"}},"required":["chunkFile"]}}}},"responses":{"200":{"description":"successful operation"},"400":{"description":"bad request"},"401":{"description":"unauthorized"},"403":{"description":"forbidden"},"404":{"description":"not found"},"500":{"description":"Internal server error"}}}}}}
```

## Abort of chunked file upload

> Abort the chunked file upload process to the corresponding channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"5. Files","description":"API for querying and managing the files of the channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v2/channels/{channelCode}/files/uploads/{uploadId}":{"delete":{"tags":["5. Files"],"summary":"Abort of chunked file upload","description":"Abort the chunked file upload process to the corresponding channel","operationId":"abortChunkedUpload","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}},{"name":"uploadId","in":"path","description":"Identifier of the chunked upload process","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation"},"400":{"description":"bad request"},"401":{"description":"unauthorized"},"403":{"description":"forbidden"},"404":{"description":"not found"},"500":{"description":"Internal server error"}}}}}}
```

## Start of chunked file download

> Start of chunked file download from the corresponding channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"5. Files","description":"API for querying and managing the files of the channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ChunkedDownloadResponse":{"type":"object","properties":{"downloadId":{"type":"string"},"filename":{"type":"string"},"size":{"type":"string"},"hash":{"type":"string"},"chunks":{"type":"integer","format":"int32"},"chunkFiles":{"type":"array","items":{"$ref":"#/components/schemas/ChunkedDownloadFileResponse"}}}},"ChunkedDownloadFileResponse":{"type":"object","properties":{"number":{"type":"string"},"filename":{"type":"string"},"size":{"type":"string"},"hash":{"type":"string"}}}}},"paths":{"/integration/v2/channels/{channelCode}/files/{fileId}/downloads":{"post":{"tags":["5. Files"],"summary":"Start of chunked file download","description":"Start of chunked file download from the corresponding channel","operationId":"startChunkedDownload","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}},{"name":"fileId","in":"path","description":"Identifier of the file","required":true,"schema":{"type":"string"}},{"name":"chunkSize","in":"query","description":"Size of each chunk in megabytes (MB) (default and máx. 100 MB)","required":false,"schema":{"type":"integer","description":"Size of each chunk in megabytes (MB) (default and máx. 100 MB)"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChunkedDownloadResponse"}}}},"400":{"description":"bad request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChunkedDownloadResponse"}}}},"401":{"description":"unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChunkedDownloadResponse"}}}},"403":{"description":"forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChunkedDownloadResponse"}}}},"404":{"description":"not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChunkedDownloadResponse"}}}},"500":{"description":"Internal server error"}}}}}}
```

## Start of chunked file upload

> Start of chunked file upload to the corresponding channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"5. Files","description":"API for querying and managing the files of the channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v2/channels/{channelCode}/files/uploads":{"post":{"tags":["5. Files"],"summary":"Start of chunked file upload","description":"Start of chunked file upload to the corresponding channel","operationId":"startChunkedUpload","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}},{"name":"filename","in":"query","description":"Name of file to upload","required":true,"schema":{"type":"string"}},{"name":"chunks","in":"query","description":"Number of chunks to upload","required":true,"schema":{"type":"integer","default":1,"minimum":1}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"type":"string"}}}},"400":{"description":"bad request","content":{"*/*":{"schema":{"type":"string"}}}},"401":{"description":"unauthorized","content":{"*/*":{"schema":{"type":"string"}}}},"403":{"description":"forbidden","content":{"*/*":{"schema":{"type":"string"}}}},"404":{"description":"not found","content":{"*/*":{"schema":{"type":"string"}}}},"500":{"description":"Internal server error"}}}}}}
```

## Finalize of chunked file upload

> Finalize the chunked file upload process to the corresponding channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"5. Files","description":"API for querying and managing the files of the channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v2/channels/{channelCode}/files/uploads/{uploadId}/finalize":{"post":{"tags":["5. Files"],"summary":"Finalize of chunked file upload","description":"Finalize the chunked file upload process to the corresponding channel","operationId":"finalizeChunkedUpload","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}},{"name":"uploadId","in":"path","description":"Identifier of the chunked upload process","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation"},"400":{"description":"bad request"},"401":{"description":"unauthorized"},"403":{"description":"forbidden"},"404":{"description":"not found"},"500":{"description":"Internal server error"}}}}}}
```

## Upload file

> Upload a file to the corresponding channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"5. Files","description":"API for querying and managing the files of the channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v2/channels/{channelCode}/files/uploads/simple":{"post":{"tags":["5. Files"],"summary":"Upload file","description":"Upload a file to the corresponding channel","operationId":"upload","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary","description":"File to upload (máx. 100 MB)"}},"required":["file"]}}}},"responses":{"200":{"description":"successful operation"},"400":{"description":"bad request"},"401":{"description":"unauthorized"},"403":{"description":"forbidden"},"404":{"description":"not found"},"500":{"description":"Internal server error"}}}}}}
```

## Upload file and send

> Upload a file to the corresponding channel and start the emission of the channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"5. Files","description":"API for querying and managing the files of the channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v2/channels/{channelCode}/files/uploads/send":{"post":{"tags":["5. Files"],"summary":"Upload file and send","description":"Upload a file to the corresponding channel and start the emission of the channel","operationId":"uploadAndSend","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary","description":"File to upload (máx. 100 MB)"}},"required":["file"]}}}},"responses":{"200":{"description":"successful operation"},"400":{"description":"bad request"},"401":{"description":"unauthorized"},"403":{"description":"forbidden"},"404":{"description":"not found"},"500":{"description":"Internal server error"}}}}}}
```

## Finalize of chunked file download

> Finalize the chunked file download process from the corresponding channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"5. Files","description":"API for querying and managing the files of the channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v2/channels/{channelCode}/files/downloads/{downloadId}/finalize":{"post":{"tags":["5. Files"],"summary":"Finalize of chunked file download","description":"Finalize the chunked file download process from the corresponding channel","operationId":"finalizeChunkedDownload","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}},{"name":"downloadId","in":"path","description":"Identifier of the chunked download process","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation"},"400":{"description":"bad request"},"401":{"description":"unauthorized"},"403":{"description":"forbidden"},"404":{"description":"not found"},"500":{"description":"Internal server error"}}}}}}
```

## Get channel files

> Get files of transfers of the specified channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"5. Files","description":"API for querying and managing the files of the channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PageChannelFileResponse":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/ChannelFileResponse"}},"number":{"type":"integer","format":"int32"},"first":{"type":"boolean"},"last":{"type":"boolean"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"empty":{"type":"boolean"}}},"ChannelFileResponse":{"type":"object","properties":{"channelCode":{"type":"string"},"transfer":{"$ref":"#/components/schemas/ChannelFileExecutionResponse"},"fileId":{"type":"string"},"fileName":{"type":"string"}}},"ChannelFileExecutionResponse":{"type":"object","properties":{"transferId":{"type":"string"},"transferDateTime":{"type":"string"},"direction":{"type":"string","enum":["EMISION","RECEPCION","BIDIRECCIONAL"]}}},"SortObject":{"type":"object","properties":{"empty":{"type":"boolean"},"unsorted":{"type":"boolean"},"sorted":{"type":"boolean"}}},"PageableObject":{"type":"object","properties":{"offset":{"type":"integer","format":"int64"},"sort":{"$ref":"#/components/schemas/SortObject"},"unpaged":{"type":"boolean"},"paged":{"type":"boolean"},"pageSize":{"type":"integer","format":"int32"},"pageNumber":{"type":"integer","format":"int32"}}}}},"paths":{"/integration/v2/channels/{channelCode}/files":{"get":{"tags":["5. Files"],"summary":"Get channel files","description":"Get files of transfers of the specified channel","operationId":"getFiles","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}},{"name":"initialDate","in":"query","description":"Filter by initial execution date (YYYY-MM-DD)","required":false,"schema":{"type":"string","format":"date"}},{"name":"endDate","in":"query","description":"Filter by end execution date (YYYY-MM-DD)","required":false,"schema":{"type":"string","format":"date"}},{"name":"page","in":"query","description":"Page number for pagination","required":true,"schema":{"type":"integer","default":1,"minimum":1}},{"name":"size","in":"query","description":"Page size for pagination","required":true,"schema":{"type":"integer","default":1,"minimum":1}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageChannelFileResponse"}}}},"401":{"description":"unhautorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageChannelFileResponse"}}}},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageChannelFileResponse"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PageChannelFileResponse"}}}},"500":{"description":"Internal server error"}}}}}}
```

## Get info of channel file

> Get info of a file of the specified channel transfer

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"5. Files","description":"API for querying and managing the files of the channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ChannelFileInfoResponse":{"type":"object","properties":{"channelCode":{"type":"string"},"transfer":{"$ref":"#/components/schemas/ChannelFileExecutionResponse"},"fileId":{"type":"string"},"fileName":{"type":"string"},"path":{"type":"string"},"size":{"type":"string"},"modifiedDateTime":{"type":"string"},"hash":{"type":"string"},"actionPost":{"type":"string"},"filePathPost":{"type":"string"}}},"ChannelFileExecutionResponse":{"type":"object","properties":{"transferId":{"type":"string"},"transferDateTime":{"type":"string"},"direction":{"type":"string","enum":["EMISION","RECEPCION","BIDIRECCIONAL"]}}}}},"paths":{"/integration/v2/channels/{channelCode}/files/{fileId}":{"get":{"tags":["5. Files"],"summary":"Get info of channel file","description":"Get info of a file of the specified channel transfer","operationId":"getFileInfo","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}},{"name":"fileId","in":"path","description":"Identifier of the file","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelFileInfoResponse"}}}},"401":{"description":"unhautorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelFileInfoResponse"}}}},"403":{"description":"forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelFileInfoResponse"}}}},"404":{"description":"not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChannelFileInfoResponse"}}}},"500":{"description":"Internal server error"}}}}}}
```

## Get content of channel file

> Get content of a file of the specified channel. Download the file (máx. 100 MB)

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"5. Files","description":"API for querying and managing the files of the channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v2/channels/{channelCode}/files/{fileId}/content":{"get":{"tags":["5. Files"],"summary":"Get content of channel file","description":"Get content of a file of the specified channel. Download the file (máx. 100 MB)","operationId":"getFileContent","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}},{"name":"fileId","in":"path","description":"Identifier of the file","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"bad request","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}},"401":{"description":"unhautorized","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}},"403":{"description":"forbidden","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"not found","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}},"500":{"description":"Internal server error"}}}}}}
```

## Receive chunk of file to download

> Receive a chunk of the file to be downloaded from the corresponding channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"5. Files","description":"API for querying and managing the files of the channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v2/channels/{channelCode}/files/downloads/{downloadId}":{"get":{"tags":["5. Files"],"summary":"Receive chunk of file to download","description":"Receive a chunk of the file to be downloaded from the corresponding channel","operationId":"receiveChunkedDownload","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}},{"name":"chunkNumber","in":"query","description":"Number of the chunk to download (starting in 1)","required":true,"schema":{"type":"integer","default":1,"minimum":1}},{"name":"downloadId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"bad request","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}},"401":{"description":"unauthorized","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}},"403":{"description":"forbidden","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"not found","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}},"500":{"description":"Internal server error"}}}}}}
```

## Abort of chunked file download

> Abort the chunked file download process from the corresponding channel

```json
{"openapi":"3.1.0","info":{"title":"editranBackend API","version":"3.3.10"},"tags":[{"name":"5. Files","description":"API for querying and managing the files of the channels transfers in connect for third-party"}],"servers":[{"url":"/connect-back"}],"security":[{"TOKEN":[]}],"components":{"securitySchemes":{"TOKEN":{"type":"http","description":"Description about the TOKEN","name":"Authorization","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/integration/v2/channels/{channelCode}/files/downloads/{downloadId}":{"delete":{"tags":["5. Files"],"summary":"Abort of chunked file download","description":"Abort the chunked file download process from the corresponding channel","operationId":"abortChunkedDownload","parameters":[{"name":"channelCode","in":"path","description":"Channel code (local code - remote code - application)","required":true,"schema":{"type":"string"}},{"name":"downloadId","in":"path","description":"Identifier of the chunked download process","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation"},"400":{"description":"bad request"},"401":{"description":"unauthorized"},"403":{"description":"forbidden"},"404":{"description":"not found"},"500":{"description":"Internal server error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.editran.onesait.com/documentacion-editran/editran-connect-v3.3/api/v2/integration-of-apis/5.-files.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
